## ros-indigo-catkin 0.6.19

=== debian/changelog ===
ros-indigo-catkin (0.6.19-0trusty) trusty; urgency=high

  * update --pkg help for catkin_make_isolated (#853 <https://github.com/ros/catkin/issues/853>)
  * add skipped / disabled tests to catkin_test_results summary (#848 <https://github.com/ros/catkin/issues/848>)
  * fix rollback logic for more than one value per environment variable and workspace (#819 <https://github.com/ros/catkin/issues/819>)
  * fix quoting of paths to handle spaces (#808 <https://github.com/ros/catkin/issues/808>)
  * improve doc about catkin_package(CFG_EXTRAS) (#805 <https://github.com/ros/catkin/issues/805>)
  * doc: fix format 2 howto to suggest to declare a build export dependency on "message_runtime"
  * update documentation (#847 <https://github.com/ros/catkin/pull/847> #849 <https://github.com/ros/catkin/pull/849> #854 <https://github.com/ros/catkin/pull/854>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-indigo-catkin (0.6.18-0trusty) trusty; urgency=high

  * expose format 2 style dependencies as CMake variables (#787 <https://github.com/ros/catkin/issues/787>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-indigo-catkin (0.6.17-0trusty) trusty; urgency=high

  * fix docs: nosetest target names use periods (#781 <https://github.com/ros/catkin/issues/781>)
  * add custom message explaining CMake find_package error messages (#780 <https://github.com/ros/catkin/issues/780>)
  * fix regression with DESTDIR introduced in 0.6.16 (#755 <https://github.com/ros/catkin/issues/755>)
  * avoid adding nonexistent paths to environment variables (#777 <https://github.com/ros/catkin/issues/777>)
  * ensure that Python install destination exists (#775 <https://github.com/ros/catkin/issues/775>, https://github.com/ros/catkin/issues/776)
  * set commonly predefines attributes when interrogating setup.py files (#770 <https://github.com/ros/catkin/issues/770>)
  * align Python script directory recommendations with REP-0008 (#769 <https://github.com/ros/catkin/issues/769>)
  * fix default value for _workspaces in find_in_workspaces (#768 <https://github.com/ros/catkin/issues/768>)
  * improve robustness of exec call interogating setup.py files (#766 <https://github.com/ros/catkin/issues/766>)
  * fix reinstalling Python files installed by catkin_install_python after modifying them (#764 <https://github.com/ros/catkin/issues/764>)
  * fix project specific clean_test_results targets (#762 <https://github.com/ros/catkin/issues/762>)
  * update generated CMake API

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Mar 2016 08:00:00 -0000

ros-indigo-catkin (0.6.16-0trusty) trusty; urgency=high

  * remove -x in Python distutils shell script (#755 <https://github.com/ros/catkin/issues/755>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-catkin (0.6.15-0trusty) trusty; urgency=high

  * adding check to prevent tool cross talk (#743 <https://github.com/ros/catkin/issues/743>)
  * only clean the test result ending with .xml of the current project (#737 <https://github.com/ros/catkin/issues/737>)
  * fix regression in find_in_workspaces (#739 <https://github.com/ros/catkin/issues/739>)
  * fix setup.py package_dir location logic (#751 <https://github.com/ros/catkin/issues/751>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-catkin (0.6.14-0trusty) trusty; urgency=high

  * support zsh with NOCLOBBER enabled (#734 <https://github.com/ros/catkin/pull/734>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Apr 2015 07:00:00 -0000

ros-indigo-catkin (0.6.13-0trusty) trusty; urgency=high

  * allow setting CATKIN_GLOBAL_LIBEXEC_DESTINATION to libexec (#713 <https://github.com/ros/catkin/pull/713>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Apr 2015 07:00:00 -0000

ros-indigo-catkin (0.6.12-0trusty) trusty; urgency=high

  * remove CATKIN_TEST_RESULTS_DIR environment variable (#728 <https://github.com/ros/catkin/issues/728>)
  * catkin_test_results will output skipped xml files only when --all is being passed (#733 <https://github.com/ros/catkin/pull/733>)
  * extract catkin_add_executable_with_gtest() from catkin_add_gtest() (#726 <https://github.com/ros/catkin/issues/726>)
  * separate download function from tests (#633 <https://github.com/ros/catkin/issues/633>)
  * only install environment hooks for catkin_make(_isolated) completion in the catkin package (#732 <https://github.com/ros/catkin/issues/732>)
  * avoid warning with CMake 3.1 and newer (#731 <https://github.com/ros/catkin/issues/731>)
  * quote command in "Reproduce this error" instructions (#730 <https://github.com/ros/catkin/issues/730>)
  * fix Python error when working with non-ascii characters in catkin workspace path (#724 <https://github.com/ros/catkin/issues/724>)
  * use $TMPDIR for temporary _setup_util.py file if set (#710 <https://github.com/ros/catkin/issues/710>)
  * fix regex for library config types (#723 <https://github.com/ros/catkin/issues/723>)
  * fix potential race condition in download_checkmd5.py (#715 <https://github.com/ros/catkin/issues/715>)
  * output package whitelist / blacklist if set (#714 <https://github.com/ros/catkin/issues/714>)
  * add --verbose option to catkin_test_results to show the content of result files (#705 <https://github.com/ros/catkin/issues/705>)
  * source in reset zsh emulation mode  (#686 <https://github.com/ros/catkin/issues/686>)
  * improve help text for --only-pkg-with-deps (#706 <https://github.com/ros/catkin/issues/706>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-indigo-catkin (0.6.11-0trusty) trusty; urgency=high

  * fix return code for tests run by ctest (#703 <https://github.com/ros/catkin/issues/703>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 29 Dec 2014 08:00:00 -0000

ros-indigo-catkin (0.6.10-0trusty) trusty; urgency=high


